<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BCA22298-65E0-4AF7-931C-E35DF4672991}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>NFT.Framework</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>nft</RootNamespace>
    <RunPostBuildEvent>Always</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>3.5</OldToolsVersion>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Design">
      <Name>System.Design</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Reactive.Core, Version=3.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Reactive.Core.3.0.0\lib\net45\System.Reactive.Core.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Reactive.Interfaces, Version=3.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Reactive.Interfaces.3.0.0\lib\net45\System.Reactive.Interfaces.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Reactive.Linq, Version=3.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Reactive.Linq.3.0.0\lib\net45\System.Reactive.Linq.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Reactive.PlatformServices, Version=3.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Reactive.PlatformServices.3.0.0\lib\net45\System.Reactive.PlatformServices.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Reactive.Windows.Threading, Version=3.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Reactive.Windows.Threading.3.0.0\lib\net45\System.Reactive.Windows.Threading.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.Serialization.Formatters.Soap">
      <Name>System.Runtime.Serialization.Formatters.Soap</Name>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <ProjectReference Include="..\Controls\NFT.Controls.csproj">
      <Name>NFT.Controls</Name>
      <Project>{7CEE9543-A9B8-4849-B4B3-B4F2D6A469F6}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Win32Util\Win32Util.csproj">
      <Name>Win32Util</Name>
      <Project>{9EEB5794-AE76-41E5-A27A-54089978C1FE}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="contributions\ui\CtbCommand.cs" />
    <Compile Include="contributions\ui\CtbMenuItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="contributions\ui\MapNaviPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="contributions\ui\MapNaviPanel.Designer.cs">
      <DependentUpon>MapNaviPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="contributions\ui\CtbCommandUI.cs" />
    <Compile Include="contributions\ui\CtbCommandUIGroup.cs" />
    <Compile Include="debug\CacheDirManageForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="debug\CacheDirManageForm.Designer.cs">
      <DependentUpon>CacheDirManageForm.cs</DependentUpon>
    </Compile>
    <Compile Include="debug\TableForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="debug\TableForm.Designer.cs">
      <DependentUpon>TableForm.cs</DependentUpon>
    </Compile>
    <Compile Include="debug\TestDockWindow.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="debug\TestErrorMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="debug\TestViewDrawer.cs" />
    <Compile Include="framework\Directories.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\ColorUtil.cs" />
    <Compile Include="framework\drawing\I3DObject.cs" />
    <Compile Include="framework\drawing\ImageRef.cs" />
    <Compile Include="framework\drawing\CompositFilter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\DrawableControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="framework\drawing\GDIDrawer.cs" />
    <Compile Include="framework\drawing\IDrawable.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\IGraphicManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\IPixelFilter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\ISprite.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\ISurface.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\ISurfaceDrawer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\ITexture.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\PixelFormatUtil.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\PrimitiveTextureFactory.cs" />
    <Compile Include="framework\drawing\QuaterViewRect.cs" />
    <Compile Include="framework\drawing\RectUtil.cs" />
    <Compile Include="framework\drawing\RenderViewPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="framework\drawing\RenderViewPanel.Designer.cs">
      <DependentUpon>RenderViewPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="framework\drawing\ResourceKey.cs" />
    <Compile Include="framework\drawing\ZoomScale.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\IGraphicManagerOld.cs" />
    <Compile Include="framework\drawing\GraphicHelper.cs" />
    <Compile Include="framework\FailsafeSurrogate.cs" />
    <Compile Include="framework\FiberManager.cs" />
    <Compile Include="framework\FileSource.cs" />
    <Compile Include="framework\GlobalModules.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\I18n.cs" />
    <Compile Include="framework\IHasNameAndID.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\InitializeOnLoadAttribute.cs" />
    <Compile Include="framework\IVersionCompatible.cs" />
    <Compile Include="framework\loader\IParamsParser.cs" />
    <Compile Include="framework\loader\XmlParamParser.cs" />
    <Compile Include="framework\Main.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\ParamsReader.cs" />
    <Compile Include="framework\plugin\BinaryModule.cs" />
    <Compile Include="framework\plugin\Contribution.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\ContributionFactory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\CtbContributionDefiner.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\CtbCustomCtbFactory.cs" />
    <Compile Include="framework\plugin\DummyContribution.cs" />
    <Compile Include="framework\plugin\FixedClassContributionFactory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\IAddable.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\InheritableContributionFactory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\drawing\IViewDrawer.cs" />
    <Compile Include="framework\plugin\CtbAnonymousCtbFactory.cs" />
    <Compile Include="framework\TestEntryAttribute.cs" />
    <Compile Include="framework\TestUtil.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="ui\command\CommandPathHint.cs" />
    <Compile Include="ui\command\CommandManager.cs" />
    <Compile Include="ui\command\CommandPathHelper.cs" />
    <Compile Include="ui\command\ICommandProcedure.cs" />
    <Compile Include="ui\command\CommandUI.cs" />
    <Compile Include="ui\controller\IObjectChooser.cs" />
    <Compile Include="ui\form\IxControl.cs" />
    <Compile Include="ui\form\IxForm.cs" />
    <Compile Include="ui\form\IFormManager.cs" />
    <Compile Include="ui\IViewFactory.cs" />
    <Compile Include="ui\IView.cs" />
    <Compile Include="ui\mainframe\IToolBarController.cs" />
    <Compile Include="ui\mainframe\IMenuBarController.cs" />
    <Compile Include="ui\mainframe\IMainFrame.cs" />
    <Compile Include="ui\mainframe\IToolWindow.cs" />
    <Compile Include="ui\mainframe\IToolWindowsManager.cs" />
    <Compile Include="framework\plugin\Plugin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PluginImageManager.cs" />
    <Compile Include="framework\plugin\PluginManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PluginSerializationBinder.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PluginUtil.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PluginXmlException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PreFormatterContribution.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="framework\plugin\PrimitiveContributionAttribute.cs" />
    <Compile Include="framework\plugin\CustomContributionFactory.cs" />
    <Compile Include="framework\SerializationUtil.cs" />
    <Compile Include="framework\WebLoader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ui\command\_CommandTriggerFactory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ui\command\_ICommandTrigger.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ui\InformationService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ui\mainframe\ImageListIndexResolver.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ui\Splash.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="util\BitFieldUtil.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\Cache.cs" />
    <Compile Include="util\ConfigureService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\ContribListControlHelper.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\GlobalOptions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\ImageUtil.cs" />
    <Compile Include="util\ParamSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\PersistentOptions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\ProgressMonitor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\Properties.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\Property.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\RectObjectMap.cs" />
    <Compile Include="util\StringParseUtil.cs" />
    <Compile Include="util\TreeDataMap.cs" />
    <Compile Include="util\UIUtil.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="util\XmlUtil.cs">
      <SubType>Code</SubType>
    </Compile>
    <Content Include="..\plugins\system\plugin.xml">
      <Link>plugin.xml</Link>
      <SubType>Designer</SubType>
    </Content>
    <Content Include="nftfw.resource.xml">
      <SubType>Designer</SubType>
    </Content>
    <Content Include="res\error.ico" />
    <Content Include="res\hint.ico" />
    <Content Include="res\info.ico" />
    <Content Include="res\nft.ico" />
    <Content Include="res\PlayModes.bmp" />
    <Content Include="res\plugin_icons.bmp" />
    <Content Include="res\question.ico" />
    <Content Include="res\SatelliteButtons.bmp" />
    <Content Include="res\SceneSample.bmp" />
    <Content Include="res\SpriteSamples.bmp" />
    <Content Include="res\warning.ico" />
    <Content Include="TODO.txt" />
    <EmbeddedResource Include="contributions\ui\MapNaviPanel.resx">
      <DependentUpon>MapNaviPanel.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="debug\CacheDirManageForm.resx">
      <DependentUpon>CacheDirManageForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="debug\TableForm.resx">
      <DependentUpon>TableForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="debug\TestDockWindow.resx">
      <DependentUpon>TestDockWindow.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="framework\drawing\DrawableControl.resx">
      <DependentUpon>DrawableControl.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ui\Splash.resx">
      <DependentUpon>Splash.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="..\xsd\nft_resource.xsd">
      <Link>nft_resource.xsd</Link>
      <SubType>Designer</SubType>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>xcopy "$(ProjectDir)res" "$(ProjectDir)..\bin\res" /D /Y /S /I
xcopy "$(ProjectDir)..\xsd" "$(ProjectDir)..\bin\xsd" /D /Y /S /I
xcopy "$(ProjectDir)..\plugins" "$(ProjectDir)..\bin\plugins" /D /Y /S /I</PostBuildEvent>
  </PropertyGroup>
</Project>